botruntime
API ReferenceChat API

List Conversations

Retrieves a list of [Conversation](#schema_conversation) you’ve previously created. The conversations are returned in sorted order, with the most recent appearing first. The list can be filtered using [Tags](#tags).

GET
/v1/chat/conversations

Query Parameters

nextToken?string

Provide the meta.nextToken value provided in the last API response to retrieve the next page of results

pageSize?integer

Number of items to return per page (default 20, max 100)

sortField?string

Sort results by this field

Value in

  • "createdAt"
  • "updatedAt"
sortDirection?string

Sort results in this direction

Value in

  • "asc"
  • "desc"
tags?

Filter by tags

participantIds?array<string>

Filter by participant ids

integrationName?string

Filter by integration name

channel?string

Filter by integration channel name

afterDate?string

Date in ISO 8601 string with UTC timezone after which the conversation was created (inclusive)

beforeDate?string

Date in ISO 8601 string with UTC timezone before which the conversation was created (inclusive)

minMessageCount?integer

Filter conversations with a message count greater than or equal to this value (inclusive)

maxMessageCount?integer

Filter conversations with a message count less than or equal to this value (inclusive)

Header Parameters

x-bot-id*string

Bot id

x-integration-id?string

Integration id

x-integration-alias?string

Integration alias

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/chat/conversations" \  -H "x-bot-id: string"
{  "conversations": [    {      "id": "stringstringstringstringstri",      "currentTaskId": "stringstringstringstringstri",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "channel": "string",      "integration": "string",      "tags": {        "property1": "string",        "property2": "string"      },      "messageCount": 0,      "properties": {        "property1": "string",        "property2": "string"      }    }  ],  "meta": {    "nextToken": "string"  }}
{  "conversations": [    {      "id": "stringstringstringstringstri",      "currentTaskId": "stringstringstringstringstri",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "channel": "string",      "integration": "string",      "tags": {        "property1": "string",        "property2": "string"      },      "messageCount": 0,      "properties": {        "property1": "string",        "property2": "string"      }    }  ],  "meta": {    "nextToken": "string"  }}